#pragma once
#include <Arduino.h>
#include <set>
#include <vector>
class Users
{
typedef struct User
{
    unsigned long uid;
    String first_name;
    String last_name;
    String rfid_uid;
    String user_pin;
    bool operator < (const User &o) const { return uid <o.uid; }
    bool operator == (const User &o) const { return uid ==o.uid; }
} user_account;

private:
    std::set<User> userdb;

    /* data */
public:
    Users(/* args */);
    ~Users();
    bool checkRfid(String rfid_code, std::vector<Users::User> *logon_users);
    bool checkPin(String pin_code, std::vector<Users::User> *logon_users);
};